changeset 446:06a005fcdacc

Teach emulator-build.sh to fsck the root filesystem before running it.
author Rob Landley <rob@landley.net>
date Mon, 03 Nov 2008 21:00:46 -0600
parents c2215a078923
children 4ed02d53fc92
files emulator-build.sh
diffstat 1 files changed, 7 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/emulator-build.sh	Mon Nov 03 04:31:07 2008 -0600
+++ b/emulator-build.sh	Mon Nov 03 21:00:46 2008 -0600
@@ -4,5 +4,11 @@
 source include.sh
 PATH="$SAVEPATH"
 
-cd "${BUILD}/system-image-$ARCH" &&
+cd "${BUILD}/system-image-$ARCH" || exit 1
+
+# A little paranoia.
+fsck.ext2 -y "image-${ARCH}.ext2" </dev/null
+
+# And run it, using the distccd we built (if necessary) and the cross-compiler.
+
 PATH="$HOSTTOOLS:$PATH" ./run-with-distcc.sh "$CROSS"